[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TScreen.FindDataModule

Finds the data module with the specified name.

## Declaration

Source position: forms.pp line 1229

`public function TScreen.FindDataModule(`
`const DataModuleName: string`
`):TDataModule;`

## Arguments

`DataModuleName` |  | Name for the data module to locate in the method.

## Function result

TDataModule instance with the specified name, or Nil.

## Description

FindDataModule is a TDataModule function used to get the data module with the name specified in DataModuleName.

FindDataModule visits each of the data modules in the internal list to find the TDataModule instance with the specified name in its Name property. CompareText is called to perform a case-insensitive comparison for the values.

The return value is the TDataModule instance with the name in DataModuleName, or Nil when the internal list is empty or DataModuleName is not found in the list.

## See also

TScreen.FindNonDesignerDataModule |  | Finds a data module with the specified name, excluding designer data modules.